[Author Prev][Author Next][Thread Prev][Thread Next][Author Index][Thread Index]
[tor-commits] [ooni-probe/master] fteproxy requires also gmp-dev
commit 38883e35f7a76c2a3c5789a05d143aa1aace87ba
Author: Arturo Filastò <art@xxxxxxxxx>
Date: Fri Jul 3 17:48:12 2015 +0200
fteproxy requires also gmp-dev
---
scripts/install.sh | 47 ++++++++++++++++++++++++++++++-----------------
1 file changed, 30 insertions(+), 17 deletions(-)
diff --git a/scripts/install.sh b/scripts/install.sh
index fbdeb93..b1108b3 100644
--- a/scripts/install.sh
+++ b/scripts/install.sh
@@ -134,23 +134,6 @@ fi
install_obfs4proxy() {
- if ! command_exists go; then
- case "$lsb_dist" in
- Fedora)
- (
- set -x
- $sh_c "yum -y install golang"
- )
- ;;
- Ubuntu|Debian)
- (
- set -x
- $sh_c "apt-get install -y -q golang"
- )
- ;;
- esac
- fi
-
if command_exists go; then
(
set -x
@@ -170,8 +153,38 @@ install_obfs4proxy() {
fi
}
+install_pluggable_transport_deps() {
+ case "$lsb_dist" in
+ Fedora)
+ if ! command_exists go; then
+ (
+ set -x
+ $sh_c "yum -y install golang"
+ )
+ fi
+ (
+ set -x
+ $sh_c "yum -y install gmp-devel"
+ )
+ ;;
+ Ubuntu|Debian)
+ if ! command_exists go; then
+ (
+ set -x
+ $sh_c "apt-get install -y -q golang"
+ )
+ fi
+ (
+ set -x
+ $sh_c "apt-get install -y -q libgmp-dev"
+ )
+ ;;
+ esac
+}
+
install_pluggable_transports() {
if [ "$INSTALL_PT" = "yes" ];then
+ install_pluggable_transport_deps
(
set -x
$sh_c 'pip install obfsproxy fteproxy'
_______________________________________________
tor-commits mailing list
tor-commits@xxxxxxxxxxxxxxxxxxxx
https://lists.torproject.org/cgi-bin/mailman/listinfo/tor-commits